// Class = MiPila
// Method = esVacia()Z

public class AutomaticTestCases2 {

    public boolean test1() throws Throwable {
        MiPila<Integer> miPila0 = new MiPila<Integer>();
        boolean boolean0 = miPila0.esVacia();
        return boolean0 == true;
    }

    public boolean test2() throws Throwable {
        MiPila<Integer> miPila0 = new MiPila<Integer>();
        Integer integer0 = new Integer(0);
        miPila0.apilar(integer0);
        boolean boolean0 = miPila0.esVacia();
        return boolean0 == false;
    }

    public boolean test3() throws Throwable {
        MiPila<String> miPila0 = new MiPila<String>();
        miPila0.apilar("");
        boolean boolean0 = miPila0.esVacia();
        return boolean0 == false;
    }

    public boolean test4() throws Throwable {
        MiPila<Object> miPila0 = new MiPila<Object>();
        boolean boolean0 = miPila0.esVacia();
        return boolean0 == true;
    }
}